<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Log In</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="../img/GCIT_logo.png">
        
        <!-- App css -->
        <link href="../css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="../css/app.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <link href="../css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" />

    </head>
	<script>
		setTimeout(() => {
			const box = document.getElementById('box');
			box.style.display = 'none'
			
		}, 5000);
	</script>

    <body class="loading authentication-bg" data-layout-config='{"leftSideBarTheme":"dark","layoutBoxed":false, "leftSidebarCondensed":false, "leftSidebarScrollable":false,"darkMode":false, "showRightSidebarOnStart": true}'>
        <div class="account-pages pt-2 pt-sm-5 pb-4 pb-sm-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xxl-4 col-lg-5">
                        <div class="card">

                            <!-- Logo -->
                            <div class="card-header pt-4 pb-4 text-center bg-primary">
                                <a href="">
                                    <span><img src="../img/GCIT_logo.png" alt="" height="100"></span>
                                </a>
                            </div>

                            <div class="card-body p-4">
                                
                                <div class="text-center w-75 m-auto">
                                    <h4 class="text-dark-50 text-center pb-0 fw-bold">Sign In</h4>                                    
                                </div>

                                <form action="/login" method ='post' class="needs-validation" novalidate="">
									<%
										if(typeof message !== 'undefined'){
											%>
											<h4 id="box" style="color:#d14836 ;"><%= message %></h4>
											<%
					
										}
									%>
                                    <div class="mb-3">
                                        <label for="emailaddress" class="form-label">Student ID/Employee ID</label>
                                        <input class="form-control" type="text" id="emailaddress" name="userid"required="" placeholder="Enter your Student ID/Employee ID">
                                        <div class="invalid-feedback">
                                            Please enter Student ID/Employee ID
                                        </div>
                                    </div>

                                    <div class="mb-3">
                                       
                                        <label for="password" class="form-label">Password</label>
                                        <div class="input-group input-group-merge">
                                            <input type="password" id="password" name="password" class="form-control" placeholder="Enter your password" required>
                                            
                                            <div class="input-group-text" data-password="false">
                                                <span class="password-eye"></span>
                                            </div>
                                        </div>
										<a href="./forget" class="text-muted float-end"><small>Forgot your password?</small></a>
                                    </div>     
                                    <br>                              

                                    <div class="mb-3 mb-0 text-center d-grid">
                                        <button type="submit"> Log In </button>
                                    </div>

                                </form>
                            </div> <!-- end card-body -->
                        </div>
                        <!-- end card -->                        
                        <!-- end row -->

                    </div> <!-- end col -->
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end page -->

        <footer class="footer footer-alt">
            2023 © GCIT
        </footer>

        <!-- bundle -->
        <script src="../js/vendor.min.js"></script>
        <script src="../js/app.min.js"></script>
        
    </body>
</html>

